ANN: PyQt-Mac installer available

Timothy Grant timothy.grant at gmail.com
Wed Nov 10 19:20:06 CET 2004


On Wed, 10 Nov 2004 05:17:36 -0500, Kevin Walzer
<sw at wordtech-software.com> wrote:
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> PyQt-Mac is a binary installer of the various components of Qt and PyQt
> for Mac OS X. Included are the following:
>         ?
> * A complete build of Qt/Mac with QScintilla support.
>         ?
> * A compiled binary of Sip, the application that converts Qt's C++ base
> into Python bindings.
>         ?
> * PyQt.
>         ?
> * Eric 3, an integrated development environment (IDE) for Python written
> with the PyQt toolkit.
> 
> These packages include both compiled binaries and complete source code.
> 
> For more information, http://www.wordtech-software.com/pyqt-mac.html.
> 
> 
> 
> - --
> Kevin Walzer, PhD
> WordTech Software--Open Source Applications and Packages for OS X
> http://www.wordtech-software.com
> http://www.smallbizmac.com
> http://www.kevin-walzer.com
> mailto:sw at wordtech-software.com
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.4 (Darwin)
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFBkeqzJmdQs+6YVcoRApnZAJ4pc/sP2NmybJ6JOb3kSXUaGoBBygCcCHPx
> 6upq87BzVyaXLpQnyMztv2I=
> =57qD
> -----END PGP SIGNATURE-----
> 
> --
> http://mail.python.org/mailman/listinfo/python-list
> 

This is a huge blessing! Thank you so much.

That said I'm having a bit of difficulty.

I believe I followed the instructions correctly including all the
symlinks that were suggested. However, I get an error.


(timothygrant at bastard%) pythonw                                       
                           ~
Python 2.3 (#1, Sep 13 2003, 00:49:11) 
[GCC 3.3 20030304 (Apple Computer, Inc. build 1495)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import qt
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: Failure linking new module: libqt-mt.3.dylib: dyld:
/System/Library/Frameworks/Python.framework/Versions/2.3/Resources/Python.app/Contents/MacOS/Python
can't open library: libqt-mt.3.dylib  (No such file or directory,
errno = 2)

>>> 

Any tips?

Thank you.


-- 
Stand Fast,
    tjg.



More information about the Python-list mailing list